Loading...
Searching...
No Matches
AbstractException Class Referenceabstract

abstract base class for c++ Exceptions in the Qore library More...

`#include <AbstractException.h>`

Inheritance diagram for AbstractException:
[legend]

## Public Member Functions

virtual DLLLOCAL | ~AbstractException ()=default
| Default virtual destructor.
virtual void | convert (ExceptionSink *xsink)=0
| Raises the corresponding Qore exception in the ExceptionSink. More...

## Protected Member Functions

DLLLOCAL | AbstractException ()=default
| Default constructor.

## Detailed Description

abstract base class for c++ Exceptions in the Qore library

## Member Function Documentation

## convert()

virtual void AbstractException::convert | ( | ExceptionSink * | xsink | ) |

pure virtual

Raises the corresponding Qore exception in the ExceptionSink.

Parameters

  xsink | the exception sink

Implemented in QoreStandardException, and QoreXSinkException.

The documentation for this class was generated from the following file:

- include/qore/AbstractException.h